﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI

	Private btnTabMenu As AS_TabMenuAdvanced
	#If B4I
	Private xpnl_bottom As B4XView
  #End If

End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	makeMenu("main")
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

#If B4I
Private Sub B4XPage_Resize (Width As Int, Height As Int)
	xpnl_bottom.SetLayoutAnimated(0,0,Height - B4XPages.GetNativeParent(Me).SafeAreaInsets.Bottom,Width,B4XPages.GetNativeParent(Me).SafeAreaInsets.Bottom)
	btnTabMenu.mBase.Top = Height - btnTabMenu.mBase.Height - B4XPages.GetNativeParent(Me).SafeAreaInsets.Bottom
End Sub
#End If

Private Sub makeMenu(strView As String)
	If btnTabMenu.GetTabs.Size > 0 Then
		btnTabMenu.Clear
	End If
	#If B4I
	xpnl_bottom = xui.CreatePanel("")
	Root.AddView(xpnl_bottom,0,0,Root.Width,B4XPages.GetNativeParent(Me).SafeAreaInsets.Bottom)
	xpnl_bottom.Color = 0xFF202125
	#End If
	Select Case strView
		Case "main"
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_user_db.png"), xui.LoadBitmap(File.DirAssets,"icon_user_db.png"))
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_chart.png"), xui.LoadBitmap(File.DirAssets, "icon_chart.png"))
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_padlock.png"), xui.LoadBitmap(File.DirAssets, "icon_padlock.png"))
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_social.png"), xui.LoadBitmap(File.DirAssets,"icon_social.png"))
			btnTabMenu.GetTab(0).xTab.Tag = "userDB"
			btnTabMenu.GetTab(1).xTab.Tag = "chart"
			btnTabMenu.GetTab(2).xTab.Tag = "padLock"
			btnTabMenu.GetTab(3).xTab.Tag = "social"
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_exit.png"), xui.LoadBitmap(File.DirAssets,"icon_exit.png"))
			btnTabMenu.GetTab(4).xTab.Tag = "exit"
			btnTabMenu.Refresh
		Case "userDB"
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_find.png"), xui.LoadBitmap(File.DirAssets,"icon_find.png"))
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_edit.png"), xui.LoadBitmap(File.DirAssets, "icon_edit.png"))
			btnTabMenu.AddTab("", xui.LoadBitmap(File.DirAssets, "icon_previus.png"), xui.LoadBitmap(File.DirAssets,"icon_previus.png"))
			btnTabMenu.GetTab(0).xTab.Tag = "findTeam"
			btnTabMenu.GetTab(1).xTab.Tag = "editUser"
			btnTabMenu.GetTab(2).xTab.Tag = "back"
			btnTabMenu.Refresh
	End Select
End Sub

Private Sub btnTabMenu_TabClick (Index As Int)
	Select Case btnTabMenu.GetTab(Index).xTab.Tag
		Case "userDB"
			makeMenu("userDB")
		Case "back"
			makeMenu("main")
		Case "exit"
			#if B4a
			Msgbox2Async("Exit?", "App", "Yes", "", "Cancel", Null, False)
			Wait For MsgBox_Result (Result As Int)
			If Result = DialogResponse.POSITIVE Then
				Root.RemoveAllViews
				B4XPages.ClosePage(Me)
				ExitApplication
			End If
			#else if B4i
			Msgbox2("Msg", "Exit?", "App", Array ("Yes", "Cancel"))
			Wait For Msg_Click (ButtonText As String)
			If ButtonText = "Yes" Then
				Root.RemoveAllViews
				B4XPages.ClosePage(Me)
			End If
      #End If
	End Select
End Sub
